Page MenuHomePhabricator

ContentTranslation silently omits a named reference if its original definition doesn't appear in the translation
Closed, ResolvedPublic

Description

To reproduce, translate Unlikely from Portuguese to English.

Translate the lead paragraph, which includes a footnote number after "4 de agosto de 2017". Publish (to a sandbox).

Observed: The reference doesn't appear at the published page.

The reason is probably that in this paragraph the reference is just <ref name="itunes"/>, and the actual definition of the footnote's content appears in the infobox at the top of the article. If you don't translate it, then CX just doesn't publish the reference.

It's particularly misleading given that the reference number does appear during the translation process.

It would be better if the reference's content would be exported correctly even if the section that includes it is not translated.

Event Timeline

Amire80 created this task.Jan 15 2018, 5:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2018, 5:36 PM
Ata awarded a token.Mar 10 2018, 9:44 PM
Arrbee renamed this task from ContentTranslation silently omits a named reference if its original definition doesn't appear in the translation to [to triage] ContentTranslation silently omits a named reference if its original definition doesn't appear in the translation.Aug 6 2018, 11:02 AM
Arrbee moved this task from Needs Triage to Check & Move on the ContentTranslation board.
Arrbee added subscribers: Petar.petkovic, Arrbee.

Assigned to @Petar.petkovic for verification

This no longer happens in CX2.
Take a look at wikitext published when translating lead paragraph of pt:Unlikely to English on cx2-testing. There are no MT options and I had to "Use source text", but I think this problem is resolved.

Arrbee closed this task as Resolved.Aug 17 2018, 11:37 AM
Petar.petkovic renamed this task from [to triage] ContentTranslation silently omits a named reference if its original definition doesn't appear in the translation to ContentTranslation silently omits a named reference if its original definition doesn't appear in the translation.Aug 17 2018, 11:37 AM